Members

List Team Members Endpoint

get

Endpoint to list team members.

Args: team_id: ID of the team for which to list the members. user: The authenticated user. rbac: RBAC component. db: The DB session.

Returns: List of team members.

Authorizations
OAuth2clientCredentialsRequired
Token URL: Refresh URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
team_idstring · uuidRequired
Responses
200

Successful Response

application/json
get
/teams/{team_id}/members
GET /teams/{team_id}/members HTTP/1.1
Host: 
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "password": "text",
    "password_expired": true,
    "name": "text",
    "avatar_url": "text",
    "company": "text",
    "job_title": "text",
    "metadata": {},
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "username": "text",
    "email": "text",
    "oauth_provider": "text",
    "oauth_id": "text",
    "is_active": true,
    "is_superuser": false,
    "is_service_account": false,
    "organization_id": "123e4567-e89b-12d3-a456-426614174000",
    "is_onboarded": false
  }
]

Add Team Member Endpoint

post

Endpoint to add a team member.

Args: team_id: ID of the team to which to add a member. user_id: ID of the user to add to the team. user: The authenticated user. rbac: RBAC component. db: The DB session. organization_manager: Organization manager.

Raises: IllegalOperationError: If the user is not part of the teams organization.

Authorizations
OAuth2clientCredentialsRequired
Token URL: Refresh URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
team_idstring · uuidRequired
Query parameters
user_idstring · uuidRequired
Responses
200

Successful Response

application/json
Responseany
post
/teams/{team_id}/members
POST /teams/{team_id}/members?user_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: 
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Remove Team Member Endpoint

delete

Endpoint to remove a member from a team.

Args: team_id: ID of the team from which to remove the user. user_id: ID of the user to remove from the team. user: The authenticated user. rbac: RBAC component. db: The DB session.

Authorizations
OAuth2clientCredentialsRequired
Token URL: Refresh URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Path parameters
team_idstring · uuidRequired
Query parameters
user_idstring · uuidRequired
Responses
200

Successful Response

application/json
Responseany
delete
/teams/{team_id}/members
DELETE /teams/{team_id}/members?user_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: 
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Last updated

Was this helpful?